package com.mt.wms.empty.params;


import com.mt.wms.core.base.BaseParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

@Data
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
@ApiModel(value = "Apms返回订单检验结果", description = "Apms返回订单检验结果")
public class ApmsCompleteOrder extends BaseParam {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "生产单编号", required = false)
    private String sheetNo;

    /**
     * 标识卡号，APMS系统获取
     */
    @ApiModelProperty(value = "标识卡号", required = true)
    private String idenCardNum;

    @ApiModelProperty(value = "硬度检验结果", required = true)
    private String hardness;

    @ApiModelProperty(value = "金相检验结果", required = true)
    private String metallographic;

    @ApiModelProperty(value = "心部硬度检验值", required = true)
    private Float heartHardness;
}

